Bug 244881 - Mk/Uses/go.mk: Fails with the port dns/amass
Summary: Mk/Uses/go.mk: Fails with the port dns/amass
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL:
Keywords:
Depends on: 244783
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-18 05:39 UTC by Yuri Victorovich
Modified: 2020-04-02 18:33 UTC (History)
1 user (show)

See Also:


Attachments
amass.patch (18.97 KB, patch)
2020-03-18 05:39 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2020-03-18 05:39:25 UTC
Created attachment 212486 [details]
amass.patch

The attached patch amass.patch has GH_TUPLE that has been generated with 'make gomod-vendor'.

However, go compilation fails:
> go: inconsistent vendoring in /usr/ports/dns/amass/work/Amass-3.5.0:
> 	github.com/PuerkitoBio/goquery@v1.5.1: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/cayleygraph/cayley@v0.7.7: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/cayleygraph/quad@v1.2.1: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/dghubble/go-twitter@v0.0.0-20190719072343-39e5462e111f: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/fatih/color@v1.9.0: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/geziyor/geziyor@v0.0.0-20191212210344-cfb16fe1ee0e: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/go-ini/ini@v1.54.0: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/google/uuid@v1.1.1: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/jmoiron/sqlx@v1.2.0: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/lib/pq@v1.3.0: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/miekg/dns@v1.1.28: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/rakyll/statik@v0.1.7: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	github.com/smartystreets/goconvey@v1.6.4: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	golang.org/x/net@v0.0.0-20200301022130-244492dfa37a: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	golang.org/x/oauth2@v0.0.0-20200107190931-bf48bf16ab8d: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
> 	gopkg.in/ini.v1@v1.55.0: is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
Comment 1 Dmitri Goutnik freebsd_committer 2020-03-18 11:50:05 UTC
See bug #244783
Comment 2 Yuri Victorovich freebsd_committer 2020-04-02 18:33:00 UTC
Resolved in r530387 by dmgk.